Can't install 2017.1.2 to VS 2017

Answered

Cannot install current 2017.1.2 Resharper onto current VS 2017 (version 15.2 - 26430.13)...

Error:

 

There are no VS zones exactly matching the version 15.2.
Execute Build Step Runnable JetBrains.Platform.VisualStudio.Core!JetBrains.VsIntegration.Shell.Install.VsEnvironmentAutoselectedZoneArtifact::Autoselect#3 has failed. The build step method JetBrains.VsIntegration.Shell.Install.VsEnvironmentAutoselectedZoneArtifact::Autoselect has thrown an exception. Exception has been thrown by the target of an invocation. Could not select any zone.
The build step JetBrains.VsIntegration.Shell.Install.VsPackageAssembly.VsPackageHostComponentsEmitter::EmitHostComponentsToPackageResource inputs could not be resolved. Input #3 of type JetBrains.VsIntegration.Shell.Install.VsEnvironmentAutoselectedZoneArtifact has been resolved to the Build Artifact Class JetBrains.VsIntegration.Shell.Install.VsEnvironmentAutoselectedZoneArtifact, which does not yet have a value. Will fallback to a NULL value.
Execute Build Step Runnable JetBrains.Platform.VisualStudio.Core!JetBrains.VsIntegration.Shell.Install.VsPackageAssembly.VsPackageHostComponentsEmitter::EmitHostComponentsToPackageResource#3 has failed. The build step method JetBrains.VsIntegration.Shell.Install.VsPackageAssembly.VsPackageHostComponentsEmitter::EmitHostComponentsToPackageResource has thrown an exception. Exception has been thrown by the target of an invocation. Object reference not set to an instance of an object.

 

 

 

8 comments
Comment actions Permalink

The same error here. Is there some quick fix? I need Resharper to start working again as soon as possible.

Thanks,

Martin

0
Comment actions Permalink

 I've got a similar issue, though I'm using VS2017 Preview 2 and my error is about 15.3 instead of 15.2. 

0
Comment actions Permalink

It seems to be an issue that you won't be able to install Resharper after installing VS 15.3 Preview 2 or the latest VS 2017 patch.

Apparently the only solution right now is to either upgrade to 2017.2 EAP3 (which fixes this bug) or reinstall Windows. Maybe they will release a 2017.1.3 in the meantime.

0
Comment actions Permalink

I have the similar issue with the R# 2016.3.2 and VS 2017 15.3. Will you plan to provide a fix for the 2016.3.2 R# version?

0
Comment actions Permalink

Hello Valery!

 

Thank you for contacting us.

There are no plans on fixes in R# 2016.3.2 version. We recommend to install R# 2017.2.

Thank you.

0
Comment actions Permalink

Hi,

> There are no plans on fixes in R# 2016.3.2 version. We recommend to install R# 2017.2.

I also have this issue but only have a license for 2016.3.2. Will this solution work for me?

 

thanks

Tom

 

0
Comment actions Permalink

Hello Thomas!

 

Thank you for contacting us.

ReSharper 2016.3.2 supports only VS 2017 Release Candidate. Here's the full list of supported VS versions - https://www.jetbrains.com/resharper/documentation/resharper2017_2_vs_resharper2016_3.html

The only solution is to install ReSharper 2016.3.2 on the compatible VS version.

Thank you.

0

Please sign in to leave a comment.